StateImpl (RichFaces JSF components library 3.3.3.Final API)
Keywords: org.richfaces.ui.model.StateImpl class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.ui.model
Class StateImpl

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap<java.lang.String,java.lang.Object>
              org.richfaces.ui.model.StateImpl

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.String,java.lang.Object>, State

    public class StateImpl

extends java.util.HashMap<java.lang.String,java.lang.Object>
implements State

Author:
  asmirnov
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Constructor Summary
`StateImpl()`

Method Summary
`java.lang.String` | `getNavigation(java.lang.String outcome)`
`void` | `setNavigation(java.lang.String outcome, java.lang.String navigation)`

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`clear, containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

Constructor Detail

### StateImpl

    public StateImpl()

Method Detail

### getNavigation

    public java.lang.String getNavigation(java.lang.String outcome)

  Specified by:
    `getNavigation` in interface `State`

### setNavigation

    public void setNavigation(java.lang.String outcome,
                              java.lang.String navigation)

  Specified by:
    `setNavigation` in interface `State`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.